---
title: MAtuzre platform engineering beyond Kubernetes
weight: 11
---

## CNCF Platform maturity model

* Was donated to the cncf by syntasso
* Constantly evolving since 1.0 in november 2023

### Overview

> Entire matrix is available from CNCF

* Levels (from tactical to strategic)
  * Provisional
  * Operational
  * Scalable
  * Optimizing
* Dimensions:
  * Investment: How are funds/staff allocated to platform capabilities
  * Adoption: How and why do users discover this platform
  * Interfaces: How do users interact with and consume platform capabilities
  * Operations: How are platforms and capabilities planned, prioritzed, developed and maintained
  * Measurement: What is the process for gathering and incorporating feedback/learning?

## Goals

* Understand
  * Outcomes & Practices
  * Where are you at
  * Limits & Opportunities
  * Behaviours and outcome
* Balance People and processes

## Typical Journeys

### Steps of the jurney

1. What are your goals and limitations
2. What is my current landscape
3. Plan babysteps & iterate

### Szenarios

* Bad: I want to improve my k8s platform
* Good: Scaling an enterprise COE (Center Of Excellence)
  * What: Onboard 20 Teams within 20 Months and enforce 8 security regulations
  * Where: We have a dedicated team of centrally funded people
  * Lay the foundation: More funding for more larger teams -> Switch from Project to platform mindset
  * Do your technical Due diligence in parallel
